Subject: [ietf-dkim] New Issue: The term identity in the overview

From: Stephen Farrell <[email-masked]>
Date: Wed, 26 Mar 2008 17:45:46 +0000

(As a participant only again)

The use of the term "identity" throughout is somewhat confusing.  I
don't have a simple change to suggest. As an example, the start of
section 2 says: "Given the presence of that identifier, a receiver can
make decisions about further handling of the message, based upon
assessments of the identity that is associated with the identifier."
I find that hard to understand and could imagine it being very confusing
to general readers.

My suggestion would just be to ask the editors to give it a pass
where they check that the various uses of this and related terms
are ok and clear. As far as I'm concerned this issue can be closed
as soon as they say "yes, we did that"

S.

_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: Dave Crocker <[email-masked]>
Date: Wed, 26 Mar 2008 13:11:01 -0700

Stephen,

I fear that this is a real matter of technical confusion -- not just literary 
taste -- and that the source of confusion is common to the topic and not just 
how the document is written.

That's not to say that the writing might not be contributing to the confusion.

So let's see if we can have a brief dialogue to clarify the points of 
distinction, which might make better wordsmithing easier.

The current wording is trying to emphasize the difference between reference and 
referrant, or the thing and a label for the thing.  Identity is meant to refer 
to the thing itself, such as you, where as identifier is meant to refer to a 
label, such as "Stephen Farrell".

 From my own historical confusion in these sorts of discussions, as well as the 
confusion i keep seeing in others, making and maintaining the distinction 
between thing and label is very real challenge, often failed.

To the particulars of the document:

    A domain name is an identifier.  The organization owning it is the identity. 
  The trademarked name of the company is another identifier.  Sometimes the 
domain name is treated as the online name of the company, as well as its 
"address".  That's ok.  It's still an identifier, even if it is thought of as 
similar to the  registered corporate name.  (Distinguishing between domain name 
and company name might be important for assessment services, but it isn't for 
DKIM signature validation.)

    So with the above as background, can you elaborate a bit on the confusion 
you are seeing?  Anything that you or others can provide might help us better 
understand the underlying writing problem that we need to address.

Thanks.

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: Stephen Farrell <[email-masked]>
Date: Thu, 27 Mar 2008 17:35:45 +0000

Dave Crocker wrote:
> Stephen,
> 
> I fear that this is a real matter of technical confusion -- not just 
> literary taste -- and that the source of confusion is common to the 
> topic and not just how the document is written.
> 
> The current wording is trying to emphasize the difference between 
> reference and referrant, or the thing and a label for the thing.  
> Identity is meant to refer to the thing itself, such as you, where as 
> identifier is meant to refer to a label, such as "Stephen Farrell".
> 
>  From my own historical confusion in these sorts of discussions, as well 
> as the confusion i keep seeing in others, making and maintaining the 
> distinction between thing and label is very real challenge, often failed.
> 
>    A domain name is an identifier.  The organization owning it is the 
> identity.  The trademarked name of the company is another identifier.  
> Sometimes the domain name is treated as the online name of the company, 
> as well as its "address".  That's ok.  It's still an identifier, even if 
> it is thought of as similar to the  registered corporate name.  
> (Distinguishing between domain name and company name might be important 
> for assessment services, but it isn't for DKIM signature validation.)

So how about adding a paragraph like the above to the document?
It'd help me at least.

>    So with the above as background, can you elaborate a bit on the 
> confusion you are seeing?  Anything that you or others can provide might 
> help us better understand the underlying writing problem that we need to 
> address.

So I can volunteer to check the output of "grep [Ii]dent" on the
document based on your identity/identifier distinction above, if
you guys don't get to it before me (might be next week before I
get to it). If you get it done first, I'm happy to believe you've
done a good job:-)

Stephen.

---

From: Dave Crocker <[email-masked]>
Date: Thu, 27 Mar 2008 11:18:07 -0700

Stephen Farrell wrote:
>>  From my own historical confusion in these sorts of discussions, as 
>> well as the confusion i keep seeing in others, making and maintaining 
>> the distinction between thing and label is very real challenge, often 
>> failed.
>>
>> Sometimes the domain name is treated as the online name of the 
>> company, as well as its "address".  That's ok.  It's still an 
>> identifier, even if it is thought of as similar to the  registered 
>> corporate name.  (Distinguishing between domain name and company name 
>> might be important for assessment services, but it isn't for DKIM 
>> signature validation.)
> 

dandy.

>> confusion you are seeing?  Anything that you or others can provide 
>> might help us better understand the underlying writing problem that we 
>> need to address.
> 

Volunteer to do detail-oriented work?  Gosh, I think so.

d/

-- 

   Dave Crocker

---

From: Jeff Macdonald <[email-masked]>
Date: Fri, 28 Mar 2008 19:09:21 +0000

> So how about adding a paragraph like the above to the document?

The only thing that worries me is someone will tie their reputation
system to the identity instead of the identifier. There is lots of
advice for a company (an identity) to put different types of mail
streams on different IPs. So logically one would use different DKIM
identifiers to accomplish the same thing with DKIM.

I know we can't tell receivers what to do, but I'm sure we don't want
signers going to great lengths to create new identities. 

-- 
:: Jeff Macdonald | Director of Messaging Technologies
:: e-Dialog | [email-masked]
:: 131 Hartwell Ave. | Lexington, MA 02421
:: v: 781-372-1922 | f: 781-863-8118
:: www.e-dialog.com

---

From: Eliot Lear <[email-masked]>
Date: Sat, 29 Mar 2008 12:48:48 +0100

> identifiers to accomplish the same thing with DKIM.

I wouldn't worry so much.  For one thing, one cannot so easily 
programmatically determine an identity.  One can say that an identity 
owns an identifier and perhaps can show some authoritative proof of 
binding, but it's just plain difficult to do the reverse.  And I say 
this as someone who would like to, quite frankly.  But this gets us into 
Wendy Seltzer territory.  Let's not go there.

Eliot

---

From: "J D Falk" <[email-masked]>
Date: Mon, 31 Mar 2008 17:04:41 -0400

Eliot Lear wrote:

> this as someone who would like to, quite frankly.  But this gets us
> into Wendy Seltzer territory.  Let's not go there.

+1

We should not let forward progress be halted by the possibility that
someone might establish an entirely-internal-to-them policy that some of
us might disagree with.

---

From: Dave Crocker <[email-masked]>
Date: Mon, 31 Mar 2008 19:29:26 -0700

> someone might establish an entirely-internal-to-them policy that some of

s/might/will/   ...

d/
-- 

   Dave Crocker